Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.Overwrite Field
DatabaseEnvironmentConfig Class See Also

If true, overwrite files stored in encrypted formats before deleting them.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public bool Overwrite

Visual Basic (Declaration)
    Public Overwrite As Boolean

Visual C++
    public:
    bool Overwrite

# Remarks

Berkeley DB overwrites files using alternating 0xff, 0x00 and 0xff byte patterns. For file overwriting to be effective, the underlying file must be stored on a fixed-block filesystem. Systems with journaling or logging filesystems will require operating system support and probably modification of the Berkeley DB sources.

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace